MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000210VCMIMechanics - Objectspublic2009-11-06 14:482009-12-22 14:20
Reporterbeholder 
Assigned ToTow 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.74 
Target VersionFixed in Version0.75 
Summary0000210: Cartographer disappears from map after load
DescriptionI have a save (attached) where the Cartographer was not saved with the map (I think) and after loading the game it's no longer where it was, the object is not there.

It should be just up ahead of Daremyth behind the gold and ore. It happens with any savegame file.
TagsNo tags attached.
Attached Fileszip file icon games.zip [^] (98,091 bytes) 2009-11-06 14:48

- Relationships
related to 0000010closedTow Cartographers do not correctly reveal grounds. 

-  Notes
(0000191)
Warmonger (administrator)
2009-11-07 18:25

I guess this object originally had some property we don't know about.
(0000228)
Tow (developer)
2009-11-14 20:18

Fixed in r1361. There was a lack of serialization cartographer base class.
(0000438)
Zamolxis (viewer)
2009-12-22 14:20

Verified and confirmed as fixed in 0.75

- Issue History
Date Modified Username Field Change
2009-11-06 14:48 beholder New Issue
2009-11-06 14:48 beholder File Added: games.zip
2009-11-07 18:25 Warmonger Note Added: 0000191
2009-11-07 18:26 Warmonger Relationship added related to 0000010
2009-11-14 20:18 Tow Note Added: 0000228
2009-11-14 20:18 Tow Status new => resolved
2009-11-14 20:18 Tow Fixed in Version => SVN
2009-11-14 20:18 Tow Resolution open => fixed
2009-11-14 20:18 Tow Assigned To => Tow
2009-11-21 22:24 Zamolxis Category Other => Mechanics - Objects
2009-12-22 14:20 Zamolxis Note Added: 0000438
2009-12-22 14:20 Zamolxis Status resolved => closed

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2020 MantisBT Team
Hosting provided by DigitalOcean